Subject: Compilaton of gnupg-1.0.2 failure on cygwin 1.1.2 with binutils-20000722-1.tar.gz
From: Terrence Brannon <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 24 Jul 2000 11:24:14 -0700 (PDT)

When attempting to compile gnupg, I used the --enable-static-rnd=egd option. However, gnupg is attempting to compile a file called rndlinux.c which is a raw random number generator for OSes with /dev/random. It dies with the error "undefined reference to 'g10_log_fatal'"

I dont think gnupg should attempt to compile this file as my configure should have made it clear that this file was of no use.

So, the problem with my compilation may be one of two:

1) gnupg had no business compiling this file and made a mistake in doing so after my configuration option

2) I am missing some library (FORTRAN perhaps?) that contains g10_log_fatal and should install it.

This msg is crossposted so that gnupg-users can respond if the error is the latter and so that cygwin can respond if the error is the latter.

Terrence Brannon
90 St. Mark's Place
Apt. 2E North
Staten Island, NY 10301
914-755-4360

---------------------------------
Do You Yahoo!?
Get Yahoo! Mail - Free email you can access from anywhere!